{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:false,
          cc:"ddddfsdfsd",
        }
    },
    mounted:function(){
      /*var msg={
        cls:"testCtl",
        method:"test",
        data:"hello",
      };
      this.socketClient.socketReplyReq(msg,function(rtn){
        console.log("rtn socket**************************************888888...................................................");
        console.log(rtn);
      });*/
    },
    created:function(){

    },
    methods:{
      rowClick(row,key,t,e){
        if(key=="myinvoice"){
          console.log("-------------------------------row");
          console.log(row);
          console.log(row.orderStatusName);
          if(row.orderStatusName=="付款成功" || row.orderStatusName=="已提报"){
            this.$router.push({path:"/platform/invoicedetail",query:{orderNum:row.orderNum,k:key}});
          }else{
            this.$message.warning(`订单未完成，不可申请`);
          }
        }
      },
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(this.cc);
       },
       headerCellStyle:function(){
         return {"background-color":"red"};
       },

    },
    computed:{
      headStyle:function(){
        return {"background-color":"white"};
      }
    },
    vname:"gsb-myinvoiceapply"
}
